Bug 85647 - Newly Patched sendmail-8.11.6-1.62.2.i386.rpm does not have auth-smtp
Newly Patched sendmail-8.11.6-1.62.2.i386.rpm does not have auth-smtp
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
http://rhn.redhat.com/errata/RHSA-200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 10:43 EST by Juan A. Pons
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-05 11:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan A. Pons 2003-03-05 10:43:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Downloaded the patched sendmail rpm for 6.2 listed at 
http://rhn.redhat.com/errata/RHSA-2003-073.html#Red%20Hat%20Linux%206.2 and it 
turns out that eventhough it looks like it's supposed to have SASL support 
compiled in according to the release notes:

"* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>

- okay, enable LDAP support again
- enable SMTP auth support via Cyrus SASL"

it in fact does NOT have SASL support compiled in.

Can someone fix?

-J

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install rpm
2. telnet to host at port 25
3. type ehlo localhost
    

Actual Results:  Connected to mail.host.com.
Escape character is '^]'.
220 Mail ESMTP Server
ehlo localhost
250-grey.host.com Hello bdsl.xx.xx.xxx.xx.gte.net [xx.xx.xxx.xx], pleased to 
meet you
250-ENHANCEDSTATUSCODES
250-8BITMIME
250-SIZE
250-DSN
250-ONEX
250-ETRN
250-XUSR
250 HELP

Expected Results:  Should have also seen a line like:

250-AUTH LOGIN CRAM-MD5

Additional info:
Comment 1 Florian La Roche 2003-03-05 11:37:27 EST
That changelog entry refers to new things added for Red Hat Linux 7.x or newer,
sasl support is not available in Red Hat Linux 6.2.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.